/***************************************************************************
 *   Copyright (C) 2004-2009 by OpenFVM team                               *
 *   http://sourceforge.net/projects/openfvm/                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

//PETSc
#include "petscksp.h"

static Vec cex, cey, cez;
static Vec cexl, ceyl, cezl;

static Vec Co;
static Vec Col;

static Vec uf;

static Vec dens, visc, spheat, thcond;
static Vec densl, viscl, spheatl, thcondl;

static Vec xu0, xv0, xw0, xp0, xT0, xs0;
static Vec xu0l, xv0l, xw0l, xp0l, xT0l, xs0l;

static Vec xu, xv, xw, xp, xT, xs;
static Vec xul, xvl, xwl, xpl, xTl, xsl;

static Vec xuf, xvf, xwf, xpf, xTf, xsf;

static Mat Am, Ac, Ae, As;

static Vec bu, bv, bw, bp, bT, bs;

static Vec hu, hv, hw;
static Vec hul, hvl, hwl;

static Vec ap;
static Vec apl;

static Vec xpp, xTp;

static Vec betaf;

static Vec temp1, temp2;

static Vec xsm;
static Vec xsml;
static Vec xsmf;
